function toggle_summary_setup_rows(state) {
	if (state) {
		$('.summary_setup_rows').show();
		$('.states-to-include [data-show-for]').each(function() {
			$(this).data('show-for-real', $(this).attr('data-show-for'));
			$(this).attr('data-show-for', 'hosts hostgroups services servicegroups');
		});
	} else {
		$('.summary_setup_rows').hide();
		$('.states-to-include [data-show-for]').each(function() {
			$(this).attr('data-show-for', $(this).data('show-for-real'));
		});
	}
	set_selection();
}
$(document).ready(function() {
	$(document).on('click', '#use_summary', function(ev) {
		toggle_summary_setup_rows(ev.target.checked);
	});
	toggle_summary_setup_rows($('#use_summary').is(':checked'));
});
